# class TkCore::Tk_OBJECT_TABLE

### Public Class Methods

new(id) click to toggle source

    # File lib/tk.rb, line 1421
    def initialize(id)
      @id = id
      @mutex = Mutex.new
    end

### Public Instance Methods

method_missing(m, *args, &b) click to toggle source

    # File lib/tk.rb, line 1428
    def method_missing(m, *args, &b)
      TkCore::INTERP.tk_object_table(@id).__send__(m, *args, &b)
    end

mutex() click to toggle source

    # File lib/tk.rb, line 1425
    def mutex
      @mutex
    end